List SIMs

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `Sim` + `List` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge> <Badge intent="info">Observer</Badge></div> </Info> Returns a list of SIMs filtered, sorted, and paged according to query parameters.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Query parameters

qstringOptionalformat: "(id|issuer_org|reseller_org|customer_org|iccid|iccid_with_luhn|status|production_date|imsi|msisdn|endpoint|model|eid):.+"
Filter parameter in `<field>:<criteria>` format. Expects a comma-separated list from the allowed fields: * `id` * `issuer_org` * `reseller_org` * `customer_org` * `iccid` * `iccid_with_luhn` * `status` * `production_date` * `imsi` * `msisdn` * `endpoint` * `model` * `eid` * `satellite_capable`
sortstringOptionalformat: "(^-?(id|issuer_org|reseller_org|customer_org|iccid|eid|status|production_date|endpoint|model)),?"
Sort parameter in `<operator><field>` format. Sort properties according to a comma-separated list from the allowed fields: * `id` * `issuer_org` * `reseller_org` * `customer_org` * `iccid` * `eid` * `status` * `production_date` * `endpoint` * `model` If no sorting options are specified, the response will be sorted by `id`. Supported operators: * `-`: Descending order * `+`: Ascending order The response will be shown in ascending order if no operator is specified.
pageintegerOptional
Current page number
per_pageintegerOptional1-2500Defaults to 2000

Defines the number of items per page (max. 2500)

Response headers

X-Count-Per-PageintegerOptional

Number of items to show per page requested via the per_page parameter.

X-Current-PageintegerOptional
Current page number within the current data set.
X-Total-CountintegerOptional
Total element count in the current data set.
X-Total-PagesintegerOptional
Total page count in the current data set.
X-FilterstringOptional

Returns the relevant values if filtering is applied using ?q=field:criteria query parameter.

X-SortstringOptional

Returns the sorted data set if sorting is applied using ?sort=field query parameter.

Response

Successfully returned a list of SIMs.
idintegerOptional
iccidstringOptional
eidstringOptional
production_datestringOptionalformat: "date-time"
activation_datestringOptionalformat: "date-time"
statusobjectOptional
customer_orgobjectOptional
issuer_orgobjectOptional
reseller_orgobjectOptional
endpointobjectOptional
imsistringOptional
msisdnstringOptional
modelobjectOptional

Errors

403
Forbidden Error